{% extends 'base.html' %}

{% load static %}

{% block content %}

    <div class="juices">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="titlepage">
                        <h2>{{ private_product.name }}</h2>
                        <p>Here you can Edit your comments</p>
                    </div>
                </div>
            </div>
            <div class="row">
                    <div class="col-md-4">
                        <div class="our_main_box">
                            <div class="our_img">
                                {% if private_product.image %}
                                    <figure><img src="{{ private_product.image.url }}" class="card-img-top" alt="#" height="200px">
                                    </figure>
                                {% endif %}
                            </div>
                            <div class="our_text">
                                <h4>$<strong class="yellow">{{ private_product.price }}</strong></h4>
                                <h3>{{ private_product.name }}</h3>
                                <p>{{ private_product.description }}</p>
                                <a class="read_more" href="#">Order Now</a>
                            </div>
                            <div>
                                <hr>
                                    {% for comment in private_product.comment_set.all %}
                                        <div class="comment-item">
                                            <small class="comment" contenteditable="true" style="outline: none">User name</small>
                                            <h5 class="comment-user">{{ comment.user.username }}</h5>

                                        <small class="comment">Comment</small>
                                                {% if comment.user == user %}
                                                    {% if private_product_comment == comment %}
                                                        <form action="{% url 'private_product_edit' private_product.id comment.id %}" method="post">
                                                        {% csrf_token %}
                                                            <input type="text" name="name" placeholder="{{ private_product_comment.name }}">
                                                        <button type="submit">Edit</button>
                                                        </form>

                                                    {% else %}
                                                        <button type="submit" name="edit_private_product">
                                                            <a href="{% url 'private_product_edit' private_product.id comment.id %}"
                                                               style="text-decoration:none;color:white;">
                                                            Edit
                                                            </a>
                                                        </button>
                                                    {% endif %}
                                                {% else %}
                                                    <h5>
                                                        {{ comment.name }} &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                    </h5>
                                                {% endif %}
                                        </div>
                                        <hr>
                                    {% endfor %}
                                <hr>
                            </div>
                        </div>
                    </div>
            </div>
        </div>
    </div>

{% endblock %}
